## PhoshFadingLabel

PhoshFadingLabel — A label whose end can fade away

## Functions

GtkWidget * | phosh_fading_label_new ()
const char * | phosh_fading_label_get_label ()
void | phosh_fading_label_set_label ()
float | phosh_fading_label_get_align ()
void | phosh_fading_label_set_align ()

## Properties

float | align | Read / Write
char * | label | Read / Write

## Types and Values

#define | PHOSH_TYPE_FADING_LABEL
| PhoshFadingLabel

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── PhoshFadingLabel

## Implemented Interfaces

PhoshFadingLabel implements AtkImplementorIface and GtkBuildable.

## Description

## Functions

### phosh_fading_label_new ()

    GtkWidget *
    phosh_fading_label_new (const char *label);

### phosh_fading_label_get_label ()

    const char *
    phosh_fading_label_get_label (PhoshFadingLabel *self);

### phosh_fading_label_set_label ()

    void
    phosh_fading_label_set_label (PhoshFadingLabel *self,
                                  const char *label);

### phosh_fading_label_get_align ()

    float
    phosh_fading_label_get_align (PhoshFadingLabel *self);

### phosh_fading_label_set_align ()

    void
    phosh_fading_label_set_align (PhoshFadingLabel *self,
                                  gfloat align);

## Types and Values

### PHOSH_TYPE_FADING_LABEL

    #define PHOSH_TYPE_FADING_LABEL (phosh_fading_label_get_type())

### PhoshFadingLabel

    typedef struct _PhoshFadingLabel PhoshFadingLabel;

## Property Details

### The `“align”` property

      “align”                    float

Owner: PhoshFadingLabel

Flags: Read / Write

Allowed values: [0,1]

Default value: 0

### The `“label”` property

      “label”                    char *

Owner: PhoshFadingLabel

Flags: Read / Write

Default value: NULL